import { axios } from '@/utils/request'

// 优惠券统计列表
export const couponStatisticsList = params => {
  const url = `storeCouponReport/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 查看优惠券领取详情
export const couponReceiveDetail = params => {
  const url = `couponReceives/findPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
