import { axios } from '@/utils/request'

// 创建优惠券
export const couponCreate = params => {
  return axios({
    url: 'coupon/create',
    data: params,
    method: 'post'
  })
}
// 创建优惠券
export const couponUpdate = params => {
  return axios({
    url: 'coupon/update',
    data: params,
    method: 'post'
  })
}
// 优惠券列表
export const couponQuery = (params) => {
  const url = `coupon/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
// 优惠券启禁用
export const couponEnableStatus = params => {
  const url = `coupon/enable/${params.id}/${params.flag}`
  return axios.request({
    url: url,
    method: 'get'
  })
}
// 优惠券删除
export const couponDel = params => {
  return axios.request({
    url: `coupon/delete/${params.id}`,
    method: 'get',
    data: {}
  })
}
// 优惠券详情(查看页)
export const couponFind = params => {
  return axios.request({
    url: `coupon/find/${params.id}`,
    method: 'get',
    data: {}
  })
}
// 优惠券详情(编辑页)
export const couponToUpdate = params => {
  return axios.request({
    url: `coupon/toUpdate/${params.id}`,
    method: 'get',
    data: {}
  })
}
