import { axios } from '@/utils/request'

// 订单列表
export const orderCenterList = params => {
  const url = `order/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 获取服务项目列表
export const itemList = params => {
  const url = `item/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 获取网点名称列表
export const storeList = params => {
  const url = `store/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 获取订单详情
export const orderDetail = params => {
  const url = `order/find/${params.id}`
  return axios({
    url: url,
    data: params,
    method: 'get'
  })
}
